Loading...
Searching...
No Matches
opencc::StrMultiValueDictEntry Class Reference
Inheritance diagram for opencc::StrMultiValueDictEntry:

## Public Member Functions

| StrMultiValueDictEntry (const std::string &_key, const std::vector< std::string > &_values)
virtual std::string | Key () const
size_t | NumValues () const
std::vector< std::string > | Values () const
Public Member Functions inherited from opencc::MultiValueDictEntry
virtual std::string | GetDefault () const
virtual std::string | ToString () const
Public Member Functions inherited from opencc::DictEntry
size_t | KeyLength () const
bool | operator< (const DictEntry &that) const
bool | operator== (const DictEntry &that) const

## Additional Inherited Members

Static Public Member Functions inherited from opencc::DictEntry
static bool | UPtrLessThan (const std::unique_ptr< DictEntry > &a, const std::unique_ptr< DictEntry > &b)

## Member Function Documentation

## Key()

virtual std::string opencc::StrMultiValueDictEntry::Key | ( |  | ) | const

inline virtual

Implements opencc::DictEntry.

## NumValues()

size_t opencc::StrMultiValueDictEntry::NumValues | ( |  | ) | const

inline virtual

Implements opencc::DictEntry.

## Values()

std::vector< std::string > opencc::StrMultiValueDictEntry::Values | ( |  | ) | const

inline virtual

Implements opencc::DictEntry.

The documentation for this class was generated from the following file:

- DictEntry.hpp